Subject: bug#6524: du now uses less than half as much memory, sometimes

From: Pádraig Brady <[email-masked]>
Date: Mon, 28 Jun 2010 02:15:40 +0100

On 27/06/10 23:09, Jim Meyering wrote:
> FYI,
> This is just a preliminary heads-up.  At least one detail must be
> addressed before I push: I haven't written justification for the
> change to hash.c (I confess that I don't remember -- parts of this
> change date back to Dec 2008 ;-)

I tried to test the speed of this compared to the original,
but got a consistent abort() after doing:

cd /other/dev/gcc
cp -al gcc-4.5.0 gcc-4.5.0.hl
cd ~/git/coreutils
./src/du -hs /other/dev/gcc

Setting breakpoint at hash.c:1077 is just before it calls abort()
  hash_find_entry (table=0x8060ac8, entry=0x810201dd, bucket_head=0xbfffef9c, delete=false) at hash.c:788
    di_ent_compare (x=0x810201dd, y=0x81fc7a95) == true

shout if you need anything else.
cheers,
Pádraig.